none
EDI in a clustered SSO/Master Secret Server Setup RRS feed

  • Question

  • Hi,

    I read something on this http://msdn.microsoft.com/en-us/library/dd897485%28BTS.10%29.aspx side what is confusing me a little bit:

    "You cannot run the BizTalk Base EDI adapter on a BizTalk Server computer that is running a clustered SSO service. Clustering of the BizTalk Base EDI adapter is not supported, nor is running the Base EDI adapter on a server where the SSO service is clustered."

    I am thinking about a SQL Cluster on which I would also install the SSO and Master Secret Server for the BizTalks (I am not still sure if I make a BizTalk cluster or only redundant systems)

    So my questions is it it is only not possible to use EDI when the SSO is also clustered on the BizTalk but if I have the SSO on the SQL Cluster it will work or if EDI adapter never works in a clustered SSO solution.

    Regards and thanks
    Peter

    PS we are using BizTalk 2006 R2


    Monday, January 11, 2010 1:03 PM

Answers

  • No problem. Thanks for clearing up my confusion.

    The term "base EDI adapter" was something specific about EDI in BizTalk 2006 R1. I think the article you mentioned only applies to R1 and not R2 so do not worry about these limitations with R2.

    Thanks,
    If this answers your question, please use the "Answer" button to say so | Ben Cline
    • Marked as answer by Peter Ungemach Wednesday, January 13, 2010 12:07 PM
    Wednesday, January 13, 2010 4:00 AM
    Moderator

All replies

  • Are you sure you are using BizTalk 2006 R2?  The EDI support was updated with BizTalk 2006 R2 to no longer use the base EDI adapter. It sounds more like BizTalk 2006 R1.

    You should switch your applications to the new EDI functionality in 2006 R2 rather than use the Base EDI adapter. I anticipate one reason the EDI functionality switched was to overcome this Base EDI adapter limitation.

    Thanks,
    If this answers your question, please use the "Answer" button to say so | Ben Cline
    Tuesday, January 12, 2010 6:55 PM
    Moderator
  • Hi,

    I' m sure that we are using  BizTalk 2006 R2 but I not very familiar with the EDI topic so I thought EDI is EDI and didn't give any attention to these little word "base".

    So if I use EDI under  BizTalk 2006 R2 this not a problem anymore?

    Regards
    Peter
    Tuesday, January 12, 2010 9:55 PM
  • No problem. Thanks for clearing up my confusion.

    The term "base EDI adapter" was something specific about EDI in BizTalk 2006 R1. I think the article you mentioned only applies to R1 and not R2 so do not worry about these limitations with R2.

    Thanks,
    If this answers your question, please use the "Answer" button to say so | Ben Cline
    • Marked as answer by Peter Ungemach Wednesday, January 13, 2010 12:07 PM
    Wednesday, January 13, 2010 4:00 AM
    Moderator
  • Ok thanks :)
    Wednesday, January 13, 2010 12:06 PM